<!DOCTYPE html>
<html>
<head>
<meta charset="UTF-8">
<title>GCM API(contract-information) Client - PATCH</title>
<script type="text/javascript" src="common.js"></script>
<script type="text/javascript">
<!--
function executeHttpRequest() {
  // define
  var url = "/api/v1/contract-information";

  // get form values.
  var sessionID = document.getElementById("sessionID").value;  // alert(sessionID);
  var objectID  = document.getElementById("objectID").value;   // alert(objectID);
  var xmlData   = document.getElementById("xmlData").value;    // alert(xmlData);

  // set callback function
  var req = new XMLHttpRequest();
  if (req) {
    req.onreadystatechange = function(){
      var objResponseStatus = document.getElementById("restResponseStatus");
      var objResponse = document.getElementById("restResponse");
      if (req.readyState == 4) {
        objResponseStatus.textContent = req.status;
        objResponse.textContent = req.responseText;
      } else {
        objResponseStatus.textContent = '';
        objResponse.textContent = '';
      }
    };
  }

  // execute
  req.open('PATCH', url + "?contractID=" + objectID, true);
  req.setRequestHeader("Content-Type","application/xml");
  req.setRequestHeader("session-id", sessionID);
  req.send(xmlData);

  alert("Submit(PATCH) Complete.");
}
//-->
</script>
</head>
<body>

<h2>Request</h2>
<form name="fm">

SessionID:<input type="text" id="sessionID" size="30"><input type="button" onClick="document.getElementById('sessionID').value=getSessionId()" value="[GetSession]">
<br>
 ObjectID:<input type="text" id="objectID" size="30">
<br>
XML Data:<textarea id="xmlData" cols="30" rows="5"></textarea>
<br>
<input type="button" onClick="executeHttpRequest()" value="Submit">
</form>

<hr>

<h2>Response</h2>
StatusCode: <span id="restResponseStatus"></span>
<pre><span id="restResponse"></span></pre>

</body>

</html>